 
`include "encoderbtod.v"
`timescale 1ns/1ns
module encoderbtod_tb(tb_in_1,tb_in_2,tb_in_3,tb_in_4,tb_out_1,tb_out_2,
tb_out_3,tb_out_4,tb_out_5,tb_out_6,tb_out_7,tb_out_8,tb_out_9,tb_out_10);
input tb_in_1,tb_in_2,tb_in_3,tb_in_4;
output tb_out_1,tb_out_2,tb_out_3,tb_out_4,tb_out_5,tb_out_6,tb_out_7,tb_out_8,
tb_out_9,tb_out_10;
encoderbtod testB (.NXUin_1_A0(tb_in_1),.NXUin_2_A1(tb_in_2),
.NXUin_3_A2(tb_in_3),.NXUin_4_A3(tb_in_4),.NXUout_1_Y_0(tb_out_1),
.NXUout_2_Y_1(tb_out_2),.NXUout_3_Y_2(tb_out_3),.NXUout_4_Y_3(tb_out_4),
.NXUout_5_Y_4(tb_out_5),.NXUout_6_Y_5(tb_out_6),.NXUout_7_Y_6(tb_out_7),
.NXUout_8_Y_7(tb_out_8),.NXUout_9_Y_8(tb_out_9),.NXUout_10_Y_9(tb_out_10));
endmodule
 

 //******************************************************
  //verilog compiler

  //ZhangDong&KangCai (2004-2008)
 
  //http://scicoshdl.sourceforge.net

 //******************************************************

